#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME = flask-restx
#export PYBUILD_BEFORE_TEST = cp -av README.rst {build_dir}
export PYBUILD_TEST_ARGS = -vv -s
#export PYBUILD_AFTER_TEST = rm -v {build_dir}/README.rst
# ./usr/lib/python3/dist-packages/libarchive/
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/opengnsys-modules/python3/dist-packages/
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_gencontrol:
	dh_gencontrol -- \
	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libarchive-dev \
			| sed -E 's/.*(libarchive[[:alnum:].-]+).*/\1/')

override_dh_installdocs:
	# Nothing, we don't want docs

override_dh_installchangelogs:
	# Nothing, we don't want the changelog
	#
override_dh_auto_test:
	# One test is broken, just disable for now
